#
# spec file for package libkdegames
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libkdegames
Summary:        General Data for KDE Games
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Version:        16.03.90
Release:        0
Source0:        libkdegames-%{version}.tar.xz
Patch1:         libkdegames-bnc793185.patch
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  frameworkintegration-devel
BuildRequires:  karchive-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  libsndfile-devel
BuildRequires:  openal-soft-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
Obsoletes:      %{name}-kf5 < %{version}
Provides:       %{name}-kf5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains data which is required by the KDE games library.

%prep
%setup -q
%patch1 -p1

# bnc#793185
rm -rf carddecks/svg-konqi-modern

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kf5_sharedir}/kconf_update/

%package -n libkf5kdegames6
Summary:        Library for KDE Games
License:        LGPL-2.1+
Group:          System/GUI/KDE
Requires:       libkdegames = %{version}

%description -n libkf5kdegames6
This package contains the KDE games library.


%post -n libkf5kdegames6 -p /sbin/ldconfig

%postun -n libkf5kdegames6 -p /sbin/ldconfig

%files -n libkf5kdegames6
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kf5_libdir}/libKF5KDEGamesPrivate.so.*
%{_kf5_libdir}/libKF5KDEGames.so.*
%dir %{_kf5_sharedir}/kconf_update
%{_kf5_qmldir}/

%package devel
Summary:        Library for KDE Games: Build Environment
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Requires:       libkf5kdegames6 = %{version}
Requires:       libsndfile-devel
Requires:       openal-soft-devel
Obsoletes:      %{name}-kf5-devel < %{version}
Provides:       %{name}-kf5-devel = %{version}


%description devel
This package contains all necessary files and libraries needed to
develop KDE games.


%files devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kf5_includedir}/KF5KDEGames/
%{_kf5_libdir}/cmake/KF5KDEGames/
%{_kf5_libdir}/libKF5KDEGamesPrivate.so
%{_kf5_libdir}/libKF5KDEGames.so

%package -n kdegames-carddecks-other
Summary:        Further Card Decks for KDE Games
License:        LGPL-2.1+
Group:          System/GUI/KDE
BuildArch:      noarch
Requires:       kdegames-carddecks-default = %{version}
#Obsoletes:      kdegames4-carddecks-other < %{version}
Obsoletes:      kdegames5-carddecks-other < %{version}

%description -n kdegames-carddecks-other
This package contains several further card deck set for KDE games.


%files -n kdegames-carddecks-other
%defattr(-,root,root)
%doc COPYING README
%exclude %{_kf5_sharedir}/carddecks/svg-oxygen-air
%{_kf5_sharedir}/carddecks

%package -n kdegames-carddecks-default
Summary:        Default Card Decks for KDE Games
License:        LGPL-2.1+
Group:          System/GUI/KDE
#Obsoletes:      kdegames4-carddecks-default < %{version}
Obsoletes:      kdegames5-carddecks-default < %{version}
BuildArch:      noarch

%description -n kdegames-carddecks-default
This package contains the default card deck set for KDE games.


%files -n kdegames-carddecks-default
%defattr(-,root,root)
%doc COPYING README
%{_kf5_sharedir}/carddecks/svg-oxygen-air

%changelog
